#include "GeomObj.h"

GeomObj::GeomObj(EditPanel *editPanel, Coord pos, wxString name, wxColor color)
{
    this->pos = pos;
    this->name = name;
    this->color = color;
    this->editPanel = editPanel;
    this->width = 1;
    this->label = true;
    this->visibility = true;
    this->change = true;
}

void GeomObj::SetLabel(bool newLabel)
{
    label = newLabel;
}

bool GeomObj::GetLabel()
{
    return label;
}

void GeomObj::SetVisibility(bool viz)
{
    visibility = viz;
}

bool GeomObj::GetVisibility()
{
    return visibility;
}

Coord GeomObj::GetPos()
{
    return pos;
}

void GeomObj::ChangePos(Coord coord)
{
    pos = coord;
}

void GeomObj::SetColor(wxColor c)
{
    color = c;
}

Coord GeomObj::GetPos2()
{
    return Coord(-1,-1);
}

void GeomObj::ChangePos2(Coord coord)
{}

double GeomObj::GetRadius()
{
    return -1;
}

double GeomObj::GetA()
{
    return -1;
}

double GeomObj::GetB()
{
    return -1;
}

double GeomObj::GetP()
{
    return -1;
}

double GeomObj::GetAlfa()
{
    return 0;
}

wxColor GeomObj::GetColor()
{
    return color;
}

void GeomObj::ChangeWidth(int newWidth)
{
    width = newWidth;
}

int GeomObj::GetWidth()
{
    return width;
}

void GeomObj::SetChange(bool change)
{
    this->change = change;
}

bool GeomObj::GetChange()
{
    return change;
}

